{% extends "base.html" %}
{% load sanitize_html %}
{% load logtags %}
{% block title %}{{ superevent.superevent_id }}{% endblock %}
{% block heading %}{% endblock %}
{% block bodyattrs %}class="tundra eventDetail"{% endblock %}

{% block jscript %}
{% load static %}
<link rel="stylesheet" href="{% static "css/labeltips.css" %}" />

<!-- the main JavaScript block is pulled in with an include -->
<!-- this script sets up the ajax requests for the executive and
     advocate forms. it re-enables the buttons once the script is 
     loaded to prevent users from clicking before the ajax is in 
     place -->

<script>
    {% include "superevents/superevent_detail_script.js" %}
</script>


<!-- block of javascript for the confirmation popup -->
<script>
    function clickConfirm() {
        return confirm(" {{confirmation_dialog_text}} ");
    }
</script>

{% if user.is_authenticated %}
<script type="text/javascript" class="init">
    $(document).ready(function () {
        $('#pipeline-preferred').DataTable({
            paging:false,
            searching:false,
            info:false,
            order: [[6, 'desc']],
        });
});
</script>
{% else %}
<script type="text/javascript" class="init">
    $(document).ready(function () {
        $('#pipeline-preferred').DataTable({
            paging:false,
            searching:false,
            info:false,
            order: [[5, 'desc']],
        });
});
</script>
{% endif %}

{% endblock %}

{% block content %}

<div class='row'>
    <div class='col-md-2'>
        <div class="sticky-top" style="top: 75px;">
            <nav id="toc" data-toggle="toc"></nav>
        </div>
    </div>
    <div class='col-md overflow-auto'>


        {% if superevent.is_exposed and not user_is_external %}
        <!-- Show internal users that this superevent is publicly exposed -->
        <div style="text-align: center;">
            <div style="font-weight: 300; color: red; font-size:xx-large">PUBLIC SUPEREVENT</div>
        </div>
        <br>
        {% endif %}

        {% if messages %}
        <div class="flash">
            {% for m in messages %}
            <p>{{ m }}</p>
            {% endfor %}
        </div>
        {% endif %}

        <h2> {{ superevent.superevent_id }} </h2>
        <hr style="width:250px; text-align:left; margin-left:0;">

        <div class="row my-3 justify-content-md-center">
            <div class="col-md-10">

                {% if show_gw_status_form %}
                   {% block executives %}
                     {% include "superevents/executive_signoff_frag.html" %}
                   {% endblock %}
                {% endif %}

                {% if can_modify_permissions %}
                   {% block expose %}
                     {% include "superevents/expose_hide_frag.html" %}
                   {% endblock %}

                {% endif %}

                {# not sure why we need this if statement, maybe can delete in the future #}
                {% if 'lvem_view' not in request.path %}

                {#-- XXX This next bit is super hacky. #}

                {% if operator_signoff_authorized and operator_signoff_active %}
                <div class="row my-3 justify-content-center">
                    <div style="font-size:x-large;text-align:center;font-weight:lighter;">{{ operator_signoff_instrument }} Operator Signoff</div>
                    <hr style="width:250px; margin:auto;">
                    <p>You are seeing this section because you've connected from a machine that, according to our records, is in the {{ signoff_instrument }} control room.</p>
                    {% if operator_signoff_exists %}
                    <p>This event has already been signed off on. Use the form below if you wish to edit or delete the record.</p>
                    {% else %}
                    <p>This superevent still requires operator signoff. Please answer the following (and optionally enter a comment): At the time of the superevent ({{ object_gpstime_in_operator_tz }}), was the operating status of the detector basically okay, or not?</p>
                    {% endif %}
                    <form class="signoff_form">
                        <table>
                            {{ operator_signoff_form.as_table }}
                            <tr>
                                <td></td>
                                <td>
                                    {# inputs are disabled here, enabled by jquery code on page load. Otherwise users who click quickly can activate the form before the jquery is fully loaded #}
                                    {% if operator_signoff_exists %}
                                    {% with operator_signoff_type|add:operator_signoff_instrument as typeinst %}
                                    <input type="submit" 
                                           formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}"
                                           value="Update signoff" 
                                           class="btn btn-warning" 
                                           id="update" disabled>
                                    <input type="submit" 
                                           formaction="{% url "legacy_apiweb:default:superevents:superevent-signoff-detail" superevent.superevent_id typeinst %}" 
                                           value="Delete signoff" 
                                           class="btn btn-danger" 
                                           id="delete" disabled>
                                    {% endwith %}
                                    {% else %}
                                    <input type="submit" 
                                           value="Create signoff" 
                                           class="btn btn-success" 
                                           formaction={% url "legacy_apiweb:default:superevents:superevent-signoff-list" superevent.superevent_id %} disabled>
                                    {% endif %}
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
                {% endif %}

                {# Here is a section for the EM advocate signoffs. #}
                {% if advocate_signoff_authorized and advocate_signoff_active %}
                {% block advocate_signoff %}
                  {% include "superevents/advocate_signoff_frag.html" %}
                {% endblock %}
                {% endif %}

                {% endif %} {# lvem_view not in request.path #}

            </div>
        </div>

        <div class="row my-3 justify-content-center">
            <div class="col-md-10">


                {% if user.is_authenticated and rrt_group_authorized %}
                {% block rrt_info %}
                {% include "superevents/rrt_info_table.html" %}
		{% endblock %}
                {% endif %}

                {% block superevent_info %}
                {% if user.is_authenticated %}
                {% include "superevents/superevent_info_table.html" %}
                {% else %}
                {% include "superevents/superevent_info_table_public.html" %}
                {% endif %}
                {% endblock %}

                <br />
                <br />

                {% block basic_info %}
                {% if user.is_authenticated %}
                {% include "superevents/preferred_event_info_table.html" %}
                <br />
                <br />
                {% include "superevents/event_upload_detail.html" %}
                <br />
                <br />
                {% include "superevents/pipeline_preferred_event_info_table.html" %}
                {% else %}
                {% include "superevents/preferred_event_info_table_public.html" %}
                <br />
                <br />
                {% include "superevents/pipeline_preferred_event_info_table_public.html" %}
                {% endif %}
                {% endblock %}

            </div>
        </div>

        {% include "superevents/log_entry_details.html" %}


    </div>
</div>
{% endblock %}

